
// Qt include.
#include <QTcpSocket>
#include <QCoreApplication>
#include <QTimer>
#include <QHostAddress>


static const int msgSize = 12;

static const char msg[ msgSize ] = { 0x01u, 0x02u, 0x03u, 0x04u, 0x05u, 0x06u,
	0x07u, 0x08u, 0x00u, 0x00u, 0x00u, 0x00u };


//
// Socket
//

class Socket
	:	public QTcpSocket
{
	Q_OBJECT

public:
	Socket()
	{
		connect( this, &QTcpSocket::disconnected,
			this, &Socket::slotDisconnected );

		connect( this, &QTcpSocket::connected,
			this, &Socket::slotConnected );

	}

public slots:
	void start()
	{
		slotDisconnected();
	}

private slots:
	void slotDisconnected()
	{
		connectToHost( QHostAddress::LocalHost, 4545 );
	}

	void slotConnected()
	{
		write( msg, msgSize );
	}
}; // class Socket


int main( int argc, char ** argv )
{
	QCoreApplication app( argc, argv );

	Socket socket;

	QTimer::singleShot( 0, &socket, SLOT( start() ) );

	return app.exec();
}

#include "main.moc"
